<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('Tickets', function(Blueprint $table) {
			$table->foreign('statusid')->references('id')->on('Statuses')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Tickets', function(Blueprint $table) {
			$table->foreign('techid')->references('id')->on('Tickets')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Tickets', function(Blueprint $table) {
			$table->foreign('queueId')->references('id')->on('Queues')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Comments', function(Blueprint $table) {
			$table->foreign('ticketid')->references('id')->on('Tickets')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('Tickets', function(Blueprint $table) {
			$table->dropForeign('Tickets_statusid_foreign');
		});
		Schema::table('Tickets', function(Blueprint $table) {
			$table->dropForeign('Tickets_techid_foreign');
		});
		Schema::table('Tickets', function(Blueprint $table) {
			$table->dropForeign('Tickets_queueId_foreign');
		});
		Schema::table('Comments', function(Blueprint $table) {
			$table->dropForeign('Comments_ticketid_foreign');
		});
	}
}